<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once("../lib/gettext/gettext.inc");
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE) == FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9") == FALSE) header("Location: ../index.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_pw.inc.php");
include_once("../inc/fic_zc.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
$_SESSION["typ_filtres"] = "dloc";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Liste Dépôts Location"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg','');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<?php
include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage"><?PHP echo _("DEPOTS DE LOCATION"); ?></span></p>
<?PHP
$fic_imp = "dloc_lsti.php";
$url_add = "dloc_maj.php?td=add&code=";

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstdloc();
$rech .= crestr_triord($dloc_titre_col, "dloc_nom", FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
$db->disconnect();

if ($rows) {
    include_once("../inc/formr.inc.php");

    $rech = modstr_triord($rech, $dloc_titre_col, "dloc_nom", TRUE, $limit);

    $numrows = count($rows);

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table

    echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

    // création entête
    titlst($dloc_titre_col);
    echo "<th>" . _("Cliquer") . "</th>\n";

    $i = 0;

    foreach ($rows as $row) {
        $row = encode_str($row);
        // création de l'entête de ligne (TR)
        creetrlst($i);

        echo "<td>";
        echo $row["dloc_nom"];
        // CREATION d'icône si l'agence est fermée
        if ($row["dloc_ouvert"] == FALSE) {
            $lst_ferm = TRUE;
            echo " <img src=\"../img/out.png\" title =\"" . _("Est fermée depuis le") . " " . datetolocal($row["dloc_datec"]) . ".\" border=\"0\" align=\"absmiddle\">";
        }
        if (trim($row["dloc_codeage"]) <> "") {
            echo "<span class=\"annot_petit_it\">";
            echo "<br />" . _("Dépôt principal agence") . " " . $row["dloc_codeage"];
            echo "</span>";
        }

        echo "</td>\n";
        echo "<td>" . $row["dloc_telf"] . "</td>\n";
        echo "<td>" . Retournecp_Id($row["dloc_ville"], FALSE) . "</td>\n";
        echo "<td>" . Retournepays($row["dloc_codepays"], FALSE) . "</td>\n";

        // CREATION lien dynamique sur email
        echo "<td>";
        echo "<a href=\"mailto:" . $row["dloc_email"] . "\">" . $row["dloc_email"] . "</a>";
        echo "</td>\n";

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo "<td align=\"center\">";
        $voir = FALSE;
        if (($row["dloc_ouvert"] == FALSE) OR (trim($row["dloc_codeage"]) <> ""))
            $voir = TRUE;

        if ($voir == FALSE) {
            $lst_maj = TRUE;
            cre_falselnk_img('', 'dloc_edit_'.$row["dloc_id"], 'span', 'center', _("Edition"), 'lnk', 'dloc_maj.php?td=edit&nom='.$row["dloc_nom"]. '&dep=' . $row["dloc_dep"] , '../img/edit.png');
            $lst_del = TRUE;
            cre_falselnk_img('', 'dloc_del_'.$row["dloc_id"], 'span', 'center', _("Suppression"), 'lnk', 'dloc_maj.php?td=del&nom='.$row["dloc_nom"]. '&dep=' . $row["dloc_dep"] , '../img/del.png');
        } else {
            $lst_voir = TRUE;
            cre_falselnk_img('', 'dloc_view_'.$row["dloc_id"], 'span', 'center', _("Visualisation"), 'lnk', 'dloc_maj.php?td=view&nom='.$row["dloc_nom"]. '&dep=' . $row["dloc_dep"] , '../img/eye.png');
        }
        /*
        $lst_imp = TRUE;
        cre_falselnk_img('', 'dloc_prn_'.$row["dloc_id"], 'span', 'center', _("Impression"), 'lnkpop', 'dloc_maji.php?nd=' . $row["dloc_nom"] , '../img/print.png');
        */
        echo "</td>\n";

        echo "</tr>\n";

        $i++;
    }
    echo "</table>\n";
    // *** Fin affichage de la table

    $db->disconnect();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = "";
    include_once("../inc/piedla.inc.php");
} else
    retpp();

include_once("pied.php")
?>
